/*======================================================
  VF ENGENHARIA E CONSULTORIA
  Desenvolvido por Luiz Oliveira Junior + ChatGPT
======================================================*/


/*======================
RESET
======================*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{

    font-family:'Poppins',sans-serif;
    background:#0d0d0d;
    color:#FFF;
    overflow-x:hidden;

}

img{

    max-width:100%;
    display:block;

}

a{

    text-decoration:none;

}

ul{

    list-style:none;

}


/*======================
CORES
======================*/

:root{

--preto:#0D0D0D;
--preto2:#151515;

--dourado:#C9A646;
--dourado2:#d8b65b;

--cinza:#888;
--cinza2:#E8E8E8;

--branco:#FFF;

--container:1200px;

}


/*======================
CONTAINER
======================*/

.container{

width:min(92%,var(--container));

margin:auto;

}


/*======================
TÍTULOS
======================*/

h1,h2,h3,h4{

font-family:'Montserrat',sans-serif;

font-weight:700;

}

.titulo{

margin-bottom:70px;

text-align:center;

}

.titulo span{

color:var(--dourado);

font-size:14px;

letter-spacing:4px;

font-weight:600;

}

.titulo h2{

margin-top:15px;

font-size:42px;

}


/*======================
HEADER
======================*/
/*
header{

position:fixed;

top:0;

left:0;

width:100%;

z-index:999;

transition:.4s;

padding:18px 0;

}
*/
header{

    position:fixed;

   top:0;
	padding-top:0px;

    left:0;

    width:100%;

    z-index:9999;

    padding:25px 0;

    transition:.4s;

    background:transparent;

}

body{

    padding-top:98px;

}

/*
header.ativo{

background:rgba(10,10,10,.97);

backdrop-filter:blur(8px);

box-shadow:0 0 30px rgba(0,0,0,.5);

}
*/

header.ativo{

    background:#0D0D0D;

    box-shadow:0 8px 30px rgba(0,0,0,.45);

}
header .container{

display:flex;

justify-content:space-between;

align-items:center;

}


.logo img{

height:70px;

}


nav ul{

display:flex;

gap:35px;

}


nav a{

color:#FFF;

font-weight:500;

transition:.3s;

position:relative;

}


nav a::after{

content:"";

position:absolute;

bottom:-8px;

left:0;

height:2px;

width:0;

background:var(--dourado);

transition:.3s;

}


nav a:hover::after{

width:100%;

}


nav a:hover{

color:var(--dourado);

}


/*======================
BOTÃO TOPO
======================*/

.btn-topo{

padding:14px 30px;

background:linear-gradient(135deg,#d7bb6d,#b68b25);

border-radius:40px;

font-weight:600;

color:#111;

transition:.35s;

box-shadow:0 12px 25px rgba(201,166,70,.25);

}

.btn-topo:hover{

transform:translateY(-4px);

box-shadow:0 20px 40px rgba(201,166,70,.40);

}


/*======================
MENU MOBILE
======================*/

.menu-mobile{

display:none;

font-size:35px;

cursor:pointer;

}


/*======================
HERO
======================*/
/*
.hero{

position:relative;

height:100vh;

display:flex;

align-items:center;

background:url('../img/hero.jpg') center center;

background-size:cover;

overflow:hidden;

}
*/
.hero{

    position:relative;

    width:100%;

    height:100vh;

    background:url('../img/banner-home.png') center center;

    background-size:cover;

    background-repeat:no-repeat;

    overflow:hidden;
	
	/*min-height:calc(100vh - 90px);*/
	

}

/*
.overlay{

position:absolute;

width:100%;

height:100%;

background:linear-gradient(

90deg,

rgba(5,5,5,.90),

rgba(5,5,5,.65),

rgba(5,5,5,.35)

);
*/

.overlay{

    position:absolute;

    inset:0;

    background:rgba(0,0,0,.15);

}

}


.hero-container{

position:relative;

display:grid;

grid-template-columns:1fr 1fr;

align-items:center;

gap:70px;

z-index:5;

}


.hero-text{

animation:fadeLeft 1.2s;

}


.subtitulo{

color:var(--dourado);

font-size:18px;

letter-spacing:4px;

}


.hero h1{

font-size:70px;

line-height:1.1;

margin:20px 0;

}


.hero h1 span{

color:var(--dourado);

}


.hero p{

font-size:22px;

line-height:1.8;

max-width:650px;

color:#DDD;

margin-bottom:45px;

}


.hero-image{

animation:fadeRight 1.2s;

}


.hero-image img{

width:100%;

filter:drop-shadow(0 40px 80px rgba(0,0,0,.45));

}


/*======================
BOTÕES
======================*/

.hero-buttons{

display:flex;

gap:20px;

flex-wrap:wrap;

}


.btn-principal{

padding:18px 36px;

border-radius:40px;

background:linear-gradient(135deg,#d8bc67,#b9891b);

color:#111;

font-weight:700;

transition:.35s;

}

.btn-principal:hover{

transform:translateY(-5px);

box-shadow:0 18px 35px rgba(201,166,70,.45);

}


.btn-secundario{

padding:18px 36px;

border-radius:40px;

border:2px solid var(--dourado);

color:#FFF;

transition:.35s;

}

.btn-secundario:hover{

background:var(--dourado);

color:#111;

}


/*======================
SCROLL
======================*/

.scroll{

position:absolute;

bottom:30px;

left:50%;

transform:translateX(-50%);

font-size:30px;

color:var(--dourado);

animation:seta 2s infinite;

}


/*======================
SOBRE
======================*/

.sobre{

padding:120px 0;

background:#FFF;

color:#222;

}


.sobre-grid{

display:grid;

grid-template-columns:1fr 1fr;

gap:70px;

align-items:center;

}


.sobre img{

border-radius:18px;

box-shadow:0 30px 60px rgba(0,0,0,.20);

}


.sobre p{

font-size:18px;

line-height:2;

margin-bottom:25px;

}


/*======================
ANIMAÇÕES
======================*/

@keyframes fadeLeft{

from{

opacity:0;

transform:translateX(-70px);

}

to{

opacity:1;

transform:none;

}

}


@keyframes fadeRight{

from{

opacity:0;

transform:translateX(70px);

}

to{

opacity:1;

transform:none;

}

}


@keyframes seta{

0%{

transform:translate(-50%,0);

}

50%{

transform:translate(-50%,10px);

}

100%{

transform:translate(-50%,0);

}

}

/*==================================================
                SERVIÇOS
==================================================*/

.servicos{

    background:#f8f8f8;
    color:#222;
    padding:120px 0;

}

.cards{

    display:grid;

    grid-template-columns:repeat(auto-fit,minmax(270px,1fr));

    gap:35px;

}

.card{

    background:#FFF;

    border-radius:18px;

    padding:45px 35px;

    transition:.45s;

    position:relative;

    overflow:hidden;

    box-shadow:0 15px 40px rgba(0,0,0,.08);

    cursor:pointer;

}

.card::before{

    content:"";

    position:absolute;

    left:0;

    top:0;

    width:6px;

    height:0;

    background:var(--dourado);

    transition:.45s;

}

.card:hover{

    transform:translateY(-12px);

    box-shadow:0 30px 60px rgba(0,0,0,.18);

}

.card:hover::before{

    height:100%;

}

.card i{

    font-size:55px;

    color:var(--dourado);

    margin-bottom:25px;

}

.card h3{

    font-size:25px;

    margin-bottom:18px;

}

.card p{

    color:#666;

    line-height:1.8;

}


/*==================================================
                CTA
==================================================*/
/*
.cta{

    position:relative;

    padding:140px 0;

    background:url('../img/banner-cta.png') center center;

    background-size:cover;

    color:white;

    text-align:center;

}
*/

.cta{

    position:relative;

    padding:160px 0;

    background:url('../img/hero.png') center center;

    background-size:cover;

    background-repeat:no-repeat;

    color:#FFF;

    text-align:center;

}

.cta::before{

    content:"";

    position:absolute;

    inset:0;

    background:rgba(0,0,0,.78);

}

.cta .container{

    position:relative;

    z-index:2;

}

.cta h2{

    font-size:52px;

    margin-bottom:25px;

}

.cta p{

    font-size:22px;

    color:#DDD;

    margin-bottom:45px;

}


/*==================================================
                RODAPÉ
==================================================*/

footer{

    background:#0D0D0D;

    color:white;

    padding-top:90px;

}

.footer-grid{

    display:grid;

    grid-template-columns:2fr 1fr;

    gap:70px;

}

.logo-footer{

    width:220px;

    margin-bottom:25px;

}

footer p{

    color:#BBBBBB;

    line-height:2;

}

footer h3{

    margin-bottom:25px;

    color:var(--dourado);

}

footer i{

    color:var(--dourado);

    margin-right:10px;

}

.copyright{

    border-top:1px solid rgba(255,255,255,.08);

    text-align:center;

    padding:25px;

    margin-top:60px;

    color:#888;

}


/*==================================================
            EFEITOS GERAIS
==================================================*/

.card,
.btn-principal,
.btn-secundario,
.btn-topo{

transition:.35s;

}

section{

overflow:hidden;

}


/*==================================================
            SCROLLBAR
==================================================*/

::-webkit-scrollbar{

width:10px;

}

::-webkit-scrollbar-track{

background:#111;

}

::-webkit-scrollbar-thumb{

background:var(--dourado);

border-radius:20px;

}


/*==================================================
            RESPONSIVO
==================================================*/

@media(max-width:768px){

.hero-container{
	

	
grid-template-columns:1fr;

text-align:center;

}

.hero-image{
	
background-position:65% center; /* 06/07/2026*/

background-size:cover; /* 06/07/2026*/

padding-top:90px;	/* 06/07/2026*/

display:none;

}

.hero-buttons{

justify-content:center;

}

.sobre-grid{

grid-template-columns:1fr;

}

.footer-grid{

grid-template-columns:1fr;

text-align:center;

}

.logo-footer{

margin:auto auto 25px;

}

}
/*

@media(max-width:850px){

header nav{

display:none;

}

.menu-mobile{

display:block;

color:white;

}

.btn-topo{

display:none;

}

.hero h1{

font-size:48px;

}

.hero p{

font-size:18px;

}

.titulo h2{

font-size:34px;

}

.cta h2{

font-size:38px;

}

}
*/

@media(max-width:850px){

.menu-mobile{

display:block;

font-size:34px;

cursor:pointer;

color:#FFF;

z-index:10001;

}

.btn-topo{

display:none;

}

#menu{

position:fixed;

top:98px;

left:-100%;

width:100%;

background:#0D0D0D;

transition:.35s;

padding:35px 0;

display:block;

z-index:9998;

}

#menu.abrir{

left:0;

}

#menu ul{

display:flex;

flex-direction:column;

align-items:center;

gap:28px;

}

.hero h1{

font-size:48px;

}

.hero p{

font-size:18px;

}

.titulo h2{

font-size:34px;

}

.cta h2{

font-size:38px;

}

}

@media(max-width:550px){

.hero{

padding-top:120px;

height:auto;

padding-bottom:120px;

}

.hero h1{

font-size:38px;

}

.hero-buttons{

flex-direction:column;

}

.btn-principal,
.btn-secundario{

width:100%;

text-align:center;

}

.cards{

grid-template-columns:1fr;

}

}

html{

scroll-padding-top:98px;

}

section{

scroll-margin-top:98px;

}


/*==========================================
ÁREAS DE ATUAÇÃO
==========================================*/

.atuacao{

    background:#FFF;

    padding:120px 0;

    color:#222;

}

.atuacao-grid{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:35px;

}

.area{

    background:#FFF;

    border-radius:18px;

    overflow:hidden;

    box-shadow:0 15px 35px rgba(0,0,0,.10);

    transition:.35s;

}

.area:hover{

    transform:translateY(-8px);

    box-shadow:0 25px 55px rgba(0,0,0,.18);

}

.area img{

    width:100%;

    height:280px;

    object-fit:cover;

    transition:.5s;

}

.area:hover img{

    transform:scale(1.08);

}

.texto-area{

    padding:30px;

}

.texto-area h3{

    color:#C9A646;

    margin-bottom:15px;

    font-size:28px;

}

.texto-area p{

    color:#666;

    line-height:1.9;

}

/* Responsivo */

@media(max-width:900px){

    .atuacao-grid{

        grid-template-columns:1fr;

    }

}